# Enum AbstractReferenceMap.ReferenceStrength

java.lang.Object
java.lang.Enum<AbstractReferenceMap.ReferenceStrength>
org.apache.commons.collections4.map.AbstractReferenceMap.ReferenceStrength

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractReferenceMap.ReferenceStrength>`

Enclosing class:
  `AbstractReferenceMap<K,V>`

public static enum AbstractReferenceMap.ReferenceStrength extends Enum<AbstractReferenceMap.ReferenceStrength>
Enumerates reference types.

Since:
  3.1 (extracted from ReferenceMap in 3.0)

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HARD`
  Hard reference type.
  `SOFT`
  Soft reference type.
  `WEAK`
  Weak reference type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `value`
  Value

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbstractReferenceMap.ReferenceStrength`
  `resolve(int value)`
  Resolve enum from int.
  `static AbstractReferenceMap.ReferenceStrength`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AbstractReferenceMap.ReferenceStrength[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HARD

    public static final AbstractReferenceMap.ReferenceStrength HARD
    Hard reference type.

  - ### SOFT

    public static final AbstractReferenceMap.ReferenceStrength SOFT
    Soft reference type.

  - ### WEAK

    public static final AbstractReferenceMap.ReferenceStrength WEAK
    Weak reference type.

- ## Field Details

  - ### value

    public final int value
    Value

- ## Method Details

  - ### values

    public static AbstractReferenceMap.ReferenceStrength[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AbstractReferenceMap.ReferenceStrength valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### resolve

    public static AbstractReferenceMap.ReferenceStrength resolve(int value)
    Resolve enum from int.
    Parameters:
      `value` - the int value
    Returns:
      ReferenceType
    Throws:
      `IllegalArgumentException` - if the specified value is invalid.